## mercurial-server 1.0.1

=== Makefile ===
#!/usr/bin/env make -f

PREFIX=/usr/local/share
LIBDIR=$(PREFIX)/mercurial-server
DOCDIR=$(PREFIX)/doc/mercurial-server
ETCDIR=/etc/mercurial-server
NEWUSER=hg
DOCBOOK_XSL=/usr/share/xml/docbook/stylesheet/nwalsh

INSTALL=install

build: build/html/index.html pythonbuild

setup-adduser: installfiles adduser inituser

# WARNING: this is experimental
setup-useradd: installfiles useradd inituser

installetc:
	$(INSTALL) -d $(DESTDIR)$(ETCDIR)
	$(INSTALL) -m 644 -t $(DESTDIR)$(ETCDIR) \
	    src/init/conf/access.conf
	$(INSTALL) -d $(DESTDIR)$(ETCDIR)/remote-hgrc.d
	$(INSTALL) -m 644 -t $(DESTDIR)$(ETCDIR)/remote-hgrc.d \
	    src/init/conf/remote-hgrc.d/access.rc \
	    src/init/conf/remote-hgrc.d/logging.rc
	$(INSTALL) -d $(DESTDIR)$(ETCDIR)/keys/root
	$(INSTALL) -d $(DESTDIR)$(ETCDIR)/keys/users

installdoc: build/html/index.html
	$(INSTALL) -d $(DESTDIR)$(DOCDIR)
	$(INSTALL) -m 644 -t $(DESTDIR)$(DOCDIR) README 
	$(INSTALL) -d $(DESTDIR)$(DOCDIR)/html
	$(INSTALL) -m 644 -t $(DESTDIR)$(DOCDIR)/html build/html/index.html

build/html/index.html: doc/manual.docbook
	xsltproc --nonet -o $@ $(DOCBOOK_XSL)/html/docbook.xsl $^

build/pdf/manual.pdf: doc/manual.docbook
	mkdir -p build/pdf
	fop -xml $^ -xsl $(DOCBOOK_XSL)/fo/docbook.xsl $@

pythonbuild:
	python setup.py build

pythoninstall:
	python setup.py install \
	    --install-purelib=$(DESTDIR)$(LIBDIR) \
	    --install-platlib=$(DESTDIR)$(LIBDIR) \
	    --install-scripts=$(DESTDIR)$(LIBDIR) \
	    --install-data=$(DESTDIR)$(LIBDIR)

installfiles: installetc installdoc pythoninstall 

adduser:
	adduser --system --shell /bin/sh --group --disabled-password \
	    --home /var/lib/mercurial-server \
	    --gecos  "Mercurial repositories" $(NEWUSER)

# WARNING: this is experimental
useradd:
	useradd --system --shell /bin/sh \
	    --home /var/lib/mercurial-server --create-home \
	    --comment  "Mercurial repositories" $(NEWUSER)

inituser:
	su -l -c "$(DESTDIR)$(LIBDIR)/init/hginit $(DESTDIR)$(LIBDIR)" $(NEWUSER)

## mercurial-server 1.1

=== debian/changelog ===
mercurial-server (1.1-1) unstable; urgency=low

  * New upstream version
  * Fix "leaves unowned files on purge": Delete user/group only
    when purging data (Closes: #605584)
  * Fix "installation fails with aptitude": run update-python-modules
    to ensure hg will work before using it (Closes: #604213)
  * Add translation for pt_BR  (Closes: #607407)

 -- Paul Crowley <paul@lshift.net>  Sat, 18 Dec 2010 15:46:45 +0000

mercurial-server (1.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Explicitly use 1.0 source format
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Francisco Javier Cuadrado).  Closes: #561921
    - Portuguese (Pedro Ribeiro).  Closes: #562243
    - Russian (Yuri Kozlov).  Closes: #562637
    - Finnish (Esko Arajärvi).  Closes: #564505
    - French (Christian Perrier).  Closes: #564594
    - Vietnamese (Clytie Siddall).  Closes: #576134

 -- Christian Perrier <bubulle@debian.org>  Fri, 16 Apr 2010 19:57:05 +0200

mercurial-server (1.0.1-1) unstable; urgency=medium

  * New upstream version with security fix
  * Add translations for de, ja, cs, sv, it, zh_CN 
    (Closes: #559486 #559541 #559883 #559934)

 -- Paul Crowley <paul@lshift.net>  Sat, 19 Dec 2009 19:22:45 +0000

mercurial-server (1.0-1) unstable; urgency=low

  * Fix "call to /usr/share/mercurial-server/refresh-auth fails without
    -H switch for sudo" (Closes: #558143)
  * Fix "NP problem" with new short description (Closes: #558387)
  * New upstream version

 -- Paul Crowley <paul@lshift.net>  Wed, 02 Dec 2009 18:01:27 +0000

mercurial-server (0.9-1) sid; urgency=low

  * Initial release. (Closes: #555750: ITP: mercurial-server -- provide
    and manage a shared Mercurial repository)

 -- Paul Crowley <paul@lshift.net>  Thu, 12 Nov 2009 11:21:55 +0000

=== debian/control ===
Source: mercurial-server
Section: devel
Priority: extra
Maintainer: Paul Crowley <paul@lshift.net>
Build-Depends: debhelper (>= 7.0.50~), python-support, xsltproc, docbook-xsl
Standards-Version: 3.9.1
Homepage: http://www.lshift.net/mercurial-server.html
Vcs-Browser: http://hg.opensource.lshift.net/mercurial-server/
Vcs-Hg: http://hg.opensource.lshift.net/mercurial-server/

Package: mercurial-server
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, adduser, python, mercurial, openssh-server | ssh-server
Description: shared Mercurial repository service
 mercurial-server makes a group of repositories available to the developers
 you choose, identified by SSH keys, with easy key and access management
 based on Mercurial.

=== debian/watch ===
# Nothing in this file.
# I can't find a way to make uscan check for new tags in an
# http-based Mercurial repository.  If there is such a way, please
# let me know.

## mercurial-server 1.2

=== debian/changelog ===
mercurial-server (1.2-2) unstable; urgency=low

  * Add translations for da, nl, sk, pl
    (Closes: #658943 #675317 #685558 #685700)

 -- Paul Crowley <paul@lshift.net>  Fri, 24 Aug 2012 16:00:08 +0100

mercurial-server (1.2-1) unstable; urgency=high

  * New upstream version with security fixes (Closes: #641262)

 -- Paul Crowley <paul@lshift.net>  Mon, 12 Sep 2011 09:14:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Paul Crowley <paul@lshift.net>
 Build-Depends: debhelper (>= 7.0.50~), python-support, xsltproc, docbook-xsl
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.lshift.net/mercurial-server.html
 Vcs-Browser: http://hg.opensource.lshift.net/mercurial-server/
 Vcs-Hg: http://hg.opensource.lshift.net/mercurial-server/
@@ -15,4 +15,3 @@
  mercurial-server makes a group of repositories available to the developers
  you choose, identified by SSH keys, with easy key and access management
  based on Mercurial.
-

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	$(MAKE) installfiles \
	    DESTDIR=./debian/mercurial-server/ \
	    PREFIX=/usr/share

override_dh_pysupport:
	dh_pysupport /usr/share/mercurial-server/mercurialserver

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
# Note that this will rarely be useful since I am both upstream and
# Debian maintainer, but included for completeness.
http://dev.lshift.net/paul/mercurial-server/mercurial-server_(.*).tar.gz
